Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001200 [1003.1(2016)/Issue7+TC2] System Interfaces Editorial Error 2018-08-18 18:15 2019-03-14 16:28
Reporter alanc View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Alan Coopersmith
Organization Oracle Solaris Engineering
User Reference
Section fopen(), freopen(), and rename()
Page Number 893-894, 943-944, 1817-1818
Line Number 30178, 30212, 32032, 32065, 58877, 58921
Interp Status ---
Final Accepted Text See Note: 0004085.
Summary 0001200: Mismatch in parameter names in ELOOP entry in ERRORS section on various pages
Description On pages describing interfaces such as fopen(), freopen(), etc. the ELOOP error states:

A loop exists in symbolic links encountered during resolution of the /path/ argument.

but in these functions, there is no argument named /path/, but it is rather
/pathname/ or similar.
Desired Action Make argument name in ERRORS match the argument name in the SYNOPSIS section.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004085)
Don Cragun (manager)
2018-08-20 01:20
edited on: 2018-08-20 01:24

In the fopen() ERRORS section:
    Change "path" on P893, L30178 to "pathname" and
    change "path" on P894, L30212 to "pathname".
In the freopen() ERRORS section:
    Change "path" on P943, L32032 to "pathname" and
     change "path" on P944, L32065 to "pathname".
In the rename() ERRORS section:
    Change "path" on P1817, L58877 to "old or new" and
    change "path" on P1818, L58921 to "old or new".


- Issue History
Date Modified Username Field Change
2018-08-18 18:15 alanc New Issue
2018-08-18 18:15 alanc Name => Alan Coopersmith
2018-08-18 18:15 alanc Organization => Oracle Solaris Engineering
2018-08-18 18:15 alanc Section => System Interfaces
2018-08-18 18:15 alanc Page Number => (page or range of pages)
2018-08-18 18:15 alanc Line Number => (Line or range of lines)
2018-08-20 01:10 Don Cragun Interp Status => ---
2018-08-20 01:17 Don Cragun Project 1003.1(2013)/Issue7+TC1 => 1003.1(2016)/Issue7+TC2
2018-08-20 01:20 Don Cragun Section System Interfaces => fopen(), freopen(), and rename()
2018-08-20 01:20 Don Cragun Page Number (page or range of pages) => 893-894, 943-944, 1817-1818
2018-08-20 01:20 Don Cragun Line Number (Line or range of lines) => 30178, 30212, 32032, 32065, 58877, 58921
2018-08-20 01:20 Don Cragun Note Added: 0004085
2018-08-20 01:22 Don Cragun Note Edited: 0004085
2018-08-20 01:24 Don Cragun Note Edited: 0004085
2019-03-14 16:28 Don Cragun Final Accepted Text => See Note: 0004085.
2019-03-14 16:28 Don Cragun Status New => Resolved
2019-03-14 16:28 Don Cragun Resolution Open => Accepted As Marked
2019-03-14 16:28 Don Cragun Tag Attached: tc3-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker